Bug 437022 - Warnquota not compiled with LDAP support
Warnquota not compiled with LDAP support
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: quota (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Novotny
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 13:50 EDT by Erinn Looney-Triggs
Modified: 2010-03-18 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 11:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 133207 None None None Never

  None (edit)
Description Erinn Looney-Triggs 2008-03-11 13:50:03 EDT
Description of problem:
Warnquota does not appear to have been compiled with LDAP support. The bug
referenced states that this issue was closed in FC-4 however, the issue is still
occurring for me on RHEL4. I may have missed a doc or forum post somewhere along
the lines about how to enable this, if so please let me know.

Version-Release number of selected component (if applicable):
3.12-6

How reproducible:
Enable LDAP entries in wanrquota.conf, attempt to run warnquota off of this conf
file and it will promptly not work.


Actual results:
sudo /usr/sbin/warnquota -c /usr/local/etc/warnquota-home.conf
warnquota: Error in config file (line 57), ignoring
warnquota: Error in config file (line 58), ignoring
warnquota: Error in config file (line 61), ignoring
warnquota: Error in config file (line 62), ignoring
warnquota: Error in config file (line 63), ignoring
warnquota: Error in config file (line 64), ignoring
warnquota: Warning: Mailer exitted abnormally.


Expected results:
Expected it to work ;).

Additional info:
The pertinent conf lines:

     56 LDAP_MAIL = true
     57 LDAP_HOST = directory.colorado.edu
     58 LDAP_PORT = 389
     59 LDAP_TLS  = true
     60 # LDAP_BINDDN = uid=ReadOnlyUser,o=YourOrg
     61 # LDAP_BINDPW = YourReadOnlyUserPassword
     62 LDAP_BASEDN = dc=Colorado,dc=EDU
     63 LDAP_SEARCH_ATTRIBUTE = uid
     64 LDAP_MAIL_ATTRIBUTE = mail
     65 LDAP_DEFAULT_MAIL_DOMAIN = colorado.edu
Comment 1 Ondrej Vasik 2008-03-11 15:39:34 EDT
Thanks for report, but it is quiet strange that the FC-4 bug got closed. I don't
see %configure --enable_ldapmail=yes or --enable_ldapmail=try (I would prefer
try, it should not be a must) even in rawhide branch. 
Comment 2 Erinn Looney-Triggs 2008-04-16 11:16:44 EDT
Has there been any progress on a resolution to this problem?
Comment 3 Ondrej Vasik 2008-04-16 13:22:52 EDT
quota-3.15-6.fc9 in rawhide branch is built with option --enable-ldapmail=try.
For RHEL-4 there is strict update policy, therefore if you want to have this
issue solved sooner, please contact directly product support. This could raise
priority of quota update in next maintainance release. Please inform them that
there is already existing bugzilla about the issue.
Comment 4 Ondrej Vasik 2010-03-18 11:31:20 EDT
As 4.9 is last regular RHEL-4 update which should address only security, performance or critical issues and should not bring any new features, closing that bugzilla WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.